[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FileClose

Close a file handle.

## Declaration

Source position: filutilh.inc line 89

`procedure FileClose(`
`Handle: THandle`
`);`

## Description

FileClose closes the file handle Handle. After this call, attempting to read or write from the handle will result in an error.

For an example, see FileCreate

## Errors

None.

## See also

FileCreate |  | Create a new file and return a handle to it.
FileWrite |  | Write data from a buffer to a given filehandle.
FileOpen |  | Open an existing file and return a filehandle
FileRead |  | Read data from a filehandle in a buffer.
FileTruncate |  | Truncate an open file to a given size.
FileSeek |  | Set the current file position on a file handle.

Documentation generated on: Feb 26 2014